<?php
function action($pAction,$pArgs = null) {
	global $gDebugObj, $gSetupObj, $gUpdateObj;
	$pAction = trim($pAction);
	if ($pAction == "") return false;
	if (!is_array($pArgs)) $pArgs = explode(",",$pArgs);
	$lReturnValue = null;
	switch ($pAction) {
		case "loadReStream":
			$lReturnValue = ajaxLoadDreamBox($pArgs[0]);
		break;
		case "loadProgramGuide":
			$lReturnValue = ajaxLoadProgramGuide($pArgs[0]);
		break;
		case "showProgramGuide":
			$lReturnValue = ajaxShowProgramGuide($pArgs[0]);
		break;
		case "watch":
			$lReturnValue = ajaxWatchChannel($pArgs[0]);
		break;
		case "VLCStatus":
			$lReturnValue = getVLCStatus();
		break;
		case "currentProgram":
			$lReturnValue = getCurrentProgram($pArgs[0]);
		break;
		case "iPhoneStreamReady":
			$lReturnValue = isiPhoneStreamReady($pArgs[0],$pArgs[1]);
		break;
		case "saveMobileOptions":
			$lReturnValue = processMobileOptions($pArgs);
		break;
		case "StopVLC":
			$lReturnValue = stopVLC();
		break;
		case "updateConfig":
			$lReturnValue = $gSetupObj->updateSettings($pArgs);
		break;
		case "updateSoftware":
			$lReturnValue = $gUpdateObj->runUpdate();
		break;
	}
	
	if (!$gSetupObj->configOutDated() && Settings::getDebug()) {
		if ($gDebugObj->getDebugMessage() != "") {
			$lReturnValue->script("jQuery('#errorLog').css({display:'block'})");
			$lReturnValue->prepend("errorLog","innerHTML","<strong>input:</strong> action: '" . $pAction . "', args: '" . implode(",",$pArgs) ."'<br />result:". $gDebugObj->getDebugMessage() ."<br />");
		}
	}
	return $lReturnValue;
}

function ajaxLoadDreamBox($pPart) {
	global $lDreamBoxObj, $gSetupObj;
	$lAjaxResponse  = new xajaxResponse();
	switch (strtolower($pPart)) {
		case "start":	
			if ($gSetupObj->configOutDated()) {
				$lAjaxResponse->script("loadChannelList()");
				$lAjaxResponse->script("jQuery('#ProgramProgress').progressbar({value: 0})");
				$lAjaxResponse->script("jQuery('#message').html('<p>' + jQuery('#ReStreamPlayer p').html() + '</p>')");	
			} else{
				if (Settings::getDebug()) unset($_SESSION["ReStream2.0"]["Dreambox"]);
				if (!$lDreamBoxObj->isOnline()) {	
					$lAjaxResponse->assign("message","innerHTML","<p>Loading " . Settings::getDreamboxName() . "...<br /><span class=\"error\">The Dreambox is currently offline!</span></p>");
					$lAjaxResponse->script("setTimeout(function() { xajax_action('loadReStream','movies')} , 2000)");
				} else {
					$lAjaxResponse->script("loadReStreamPlayer()");
					$lAjaxResponse->script("loadChannelList()");
					$lAjaxResponse->script("xajax_action('VLCStatus')");
					$lAjaxResponse->assign("message","innerHTML","<p>Loading " . Settings::getDreamboxName() . "...<br />Loading bouquets....</p>");
					$lAjaxResponse->script("xajax_action('loadReStream','bouquets')");
				}
			}
		break;

		case "bouquets":
			$lDreamBoxObj->loadBouquets();
			$lAjaxResponse->assign("ProgramGuide","innerHTML",ajaxInitializeBouquetsAndChannels($lDreamBoxObj));
			$lAjaxResponse->assign("message","innerHTML","<p>Loading " . Settings::getDreamboxName() . "...<br />Loading bouquets.... done!<br />Loading channels....</p>");
			$lAjaxResponse->script("loadChannelList();xajax_action('loadReStream','channels')");
		break;

		case "channels":
			$lDreamBoxObj->loadChannels();
			$lAjaxResponse->assign("ProgramGuide","innerHTML",ajaxInitializeBouquetsAndChannels($lDreamBoxObj));
			$lAjaxResponse->assign("message","innerHTML","<p>Loading " . Settings::getDreamboxName() . "...<br />Loading bouquets.... done!<br />Loading channels.... done!<br />Loading recordings....</p>");
			$lAjaxResponse->script("loadChannelList();xajax_action('loadReStream','recordings')");
		break;

		case "recordings":
			$lDreamBoxObj->loadRecordings();
			$lAjaxResponse->assign("ProgramGuide","innerHTML",ajaxInitializeBouquetsAndChannels($lDreamBoxObj));
			$lAjaxResponse->assign("message","innerHTML","<p>Loading " . Settings::getDreamboxName() . "...<br />Loading bouquets.... done!<br />Loading channels.... done!<br />Loading recordings.... done!<br />Loading movies....</p>");
			$lAjaxResponse->script("loadChannelList();xajax_action('loadReStream','movies');xajax_action('loadReStream','epg')");
		break;

		case "movies":
			$lDreamBoxObj->loadMovies();
			$lAjaxResponse->assign("ProgramGuide","innerHTML",ajaxInitializeBouquetsAndChannels($lDreamBoxObj));
			$lAjaxResponse->assign("message","innerHTML","<p>Loading " . Settings::getDreamboxName() . "...<br />Loading bouquets.... done!<br />Loading channels.... done!<br />Loading recordings.... done!<br />Loading movies.... done!<br /></p>");
			$lAjaxResponse->script("loadChannelList();autoStart()");
		break;
		
		case "epgfast":
			$lAjaxResponse->script($lDreamBoxObj->loadCurrentAndNextEPG());
		break;
		
		case "epg":
			$lAjaxResponse->script($lDreamBoxObj->loadCurrentAndNextEPG());
			$lAjaxResponse->script("loadProgramGuide();");
		break;
	}
	return $lAjaxResponse;
}

function ajaxInitializeBouquetsAndChannels($pDreamBoxObj) {
	$lHTMLValue = "<div id=\"List\">";
	$lBouquets = $pDreamBoxObj->getBouquets();
	if (isset($lBouquets) && is_array($lBouquets) && count($lBouquets) > 0) {
		foreach ($lBouquets as $lBouquet) {
			$lHTMLValue .= "<h3><a href=\"#\">". $lBouquet->getName() ." (" . $lBouquet->getChannelCount() . ")</a><span class=\"progress\"></span></h3>";
			$lHTMLValue .= "<div><ul>";
			foreach ($lBouquet->getChannels() as $lChannel) {
				if ($lChannel->isMarker()) {
					$lHTMLValue .= "<li id=\"" . $lChannel->getID() . "\" class=\"separator\" ></span>" . $lChannel->getName() . "</li>";
				} else {
					$lHTMLValue .= "<li id=\"" . $lChannel->getID() . "\" ><span class=\"zapicon\" onclick=\"zapTo('" . Utils::JSSave($lChannel->getID()) . "','" . Utils::JSSave($lChannel->getName()) . "');\" title=\"Watch " . $lChannel->getName() . "\" ></span>" . $lChannel->getName() . "<span class=\"tvguideicon\" title=\"Load EPG \'" . Utils::JSSave($lChannel->getName()) . "\'\" onclick=\"xajax_action('showProgramGuide','" . Utils::JSSave($lChannel->getID()) . "');\"></span><p>";
					
					$lHTMLValue .= "</p></li>";
				}
			}
			$lHTMLValue .= "</ul></div>";
		}
	}

	$lRecordings = $pDreamBoxObj->getRecordings();
	if (is_array($lRecordings) && count($lRecordings) > 0) {
		$lHTMLValue .= "<h3><a href=\"#\">Recordings (" . count($lRecordings) . ")</a><span class=\"progress\"></span></h3>";
		$lHTMLValue .= "<div><ul>";
		foreach ($lRecordings as $lRecording) {
			$lHTMLValue .= "<li id=\"" . $lRecording->getID() . "\" ><span class=\"zapicon\" onclick=\"zapTo('" . Utils::JSSave($lRecording->getID()) . "','" . Utils::JSSave($lRecording->getName()) . "')\" title=\"Watch " . $lRecording->getName() . "\" ></span>" . $lRecording->getName() . "<p><span class=\"time\">" . date("d-m-Y H:i",$lRecording->getStartTime()) . "</span> " . $lRecording->getServiceName(). "</p></li>";
		}
		$lHTMLValue .= "</ul></div>";
	}
	$lMovies = $pDreamBoxObj->getMovies();
	$lHTMLValue .= "<h3><a href=\"#\">Movies (" . count($lMovies) . ")</a><span class=\"progress\"></span></h3>";
	$lHTMLValue .= "<div><ul>";
	if (is_array($lMovies) && count($lMovies) > 0) {
		foreach ($lMovies as $lMovie) {
			$lSubtitles = $lMovie->getAvailableSubtitleLanguages();
			if ($lMovie->getName() != "") {
				$lHTMLValue .= "<li id=\"" . $lMovie->getID() . "\" ><span class=\"zapicon\" onclick=\"zapTo('" . Utils::JSSave($lMovie->getID()) . "','" . Utils::JSSave($lMovie->getName()) . "')\" title=\"Watch " . $lMovie->getName() . "\" ></span>";
				
				if (is_array($lSubtitles) && count($lSubtitles) > 0) {
					$lHTMLValue .= "<span class='subtitleicon' title='Subtitle(s): " . implode(',',$lSubtitles) . "' >" . implode(',',$lSubtitles) . "</span>";	
				}
				
				$lHTMLValue .= $lMovie->getName() . "<p></p></li>";
			}
		}
	}
	$lHTMLValue .= "</ul></div>";
	$lHTMLValue .= "<h3><a href=\"#\">Search</a><span class=\"progress\"></span></h3>";
	$lHTMLValue .= "<div>";
	$lHTMLValue .= "<input type=\"text\" name=\"search\" id=\"search\" onkeyup=\"search(this.value);\">";
	$lHTMLValue .= "<ul id=\"result\">";
	$lHTMLValue .= "</ul>";
	$lHTMLValue .= "</div>";

	$lHTMLValue .= "</div>";
	return $lHTMLValue;
}

function ajaxLoadProgramGuide($pChannelID) {
	global $lDreamBoxObj;
	$lAjaxResponse  = new xajaxResponse();

	if (Settings::getMoviesPath() != "" && substr($pChannelID,0,strlen(Settings::getMoviesPath())) == Settings::getMoviesPath()) {
		// Load a movie from server disk
		$lDreamBoxObj->loadMovie($pChannelID);
		if (($lMovieObj = $lDreamBoxObj->getMovie($pChannelID)) !== false) {
			$lAjaxResponse->script("jQuery('li[id=\"" . Utils::JSSave($pChannelID) . "\"] p').html('<span class=\"time\">" . Utils::durationFormat(round($lMovieObj->getDuration()/1000)) . "</span>')");
		}
	} else {
		$lDreamBoxObj->loadProgramGuide($pChannelID);
		if ( ($lProgramGuideObj = $lDreamBoxObj->getProgramGuide($pChannelID)) !== false){
			if ( ($lCurrentProgram = $lProgramGuideObj->getCurrentProgram()) !== false ){
				$lNextProgram = $lProgramGuideObj->getNextProgram();
				if (Utils::isMobileDevice()) {
					$lAjaxResponse->script("setTimeout(function() { xajax_action('loadProgramGuide','$pChannelID');} , " . ((($lCurrentProgram->getStopTime()-time()) + 30) * 1000) . ");jQuery('li[id=\"" . Utils::JSSave($pChannelID) . "\"] p').remove();jQuery('li[id=\"" . Utils::JSSave($pChannelID) . "\"] a').append('<p class=\"ui-li-desc\"><strong>" . Utils::JSSave($lCurrentProgram->getTitle()) . "</strong></p>');jQuery('li[id=\"" . Utils::JSSave($pChannelID) . "\"] a').prepend('<p class=\"ui-li-aside ui-li-desc\"><strong>" . date("H:i",$lCurrentProgram->getStartTime()) . "</strong>-<strong>" . date("H:i",$lCurrentProgram->getStopTime()) . "</strong></p>')");
				} else {
					$lAjaxResponse->script("setTimeout(function() { xajax_action('loadProgramGuide','$pChannelID');} , " . ((($lCurrentProgram->getStopTime()-time()) + 30) * 1000) . ");jQuery('li[id=\"" . Utils::JSSave($pChannelID) . "\"] p').html('<span class=\"time\">" . date("H:i",$lCurrentProgram->getStartTime()) . "</span> " . Utils::JSSave($lCurrentProgram->getTitle()) . "<br />" . ($lNextProgram !== false ? "<span class=\"time\">" . date("H:i",$lNextProgram->getStartTime()) . "</span> " . Utils::JSSave($lNextProgram->getTitle()) : "" ) . "')");
				}
			}
		}
	}
	$lAjaxResponse->script("nextChannel()");
	return $lAjaxResponse;
}

function ajaxWatchChannel($pChannelID,$pAutoStart = 1) {
	global $lDreamBoxObj;
	$lAjaxResponse  = new xajaxResponse();
	if (Settings::getMoviesPath() != "" && substr($pChannelID,0,strlen(Settings::getMoviesPath())) == Settings::getMoviesPath()) {
		$lChannelObj = $lDreamBoxObj->getMovie($pChannelID);
	} elseif (substr($pChannelID,-3) == ".ts") {
		$lChannelObj = $lDreamBoxObj->findRecording($pChannelID);
	} else {
		$lChannelObj = $lDreamBoxObj->findChannel($pChannelID);
	}
	$lAjaxResponse->assign("watchChannel","innerHTML",$lChannelObj->getName());

	// VLC Zap command;
	$lVLCObj = new VLCServer();
	$lPlayerCMD = $lVLCObj->startServer($lDreamBoxObj->getStreamURL($pChannelID),$lChannelObj);

	if (Utils::isMobileDevice()) {
		if (Utils::isiPhone()) {
			$lAjaxResponse->assign("watchChannelLink","innerHTML","<video width=\"100%\" controls=\"controls\" " . ($pAutoStart ? 'autoplay="autoplay"' : '') . " src=\"" . $lPlayerCMD . "\"/>");
		} else {
			$lAjaxResponse->assign("watchChannelLink","innerHTML","<a href=\"" . $lPlayerCMD . "\" id=\"autoWatchLink\" title=\"Watch " . $lChannelObj->getName() . "\" >Watch " . $lChannelObj->getName() . "</a>");
			//if ($pAutoStart) $lAjaxResponse->script("setTimeout(function(){ window.open('" . $lPlayerCMD . "'); },500);");
			if ($pAutoStart) $lAjaxResponse->script("setTimeout(function(){ jQuery('#autoWatchLink')[0].click(); },500);");
		}
		$lAjaxResponse->script("jQuery.mobile.hidePageLoadingMsg()");
	} else {
		$lAjaxResponse->script("startPlayer('" . $lPlayerCMD . "')");
		$lAjaxResponse->script("document.title='" . Utils::JSSave(Settings::getDreamboxName() . " - " . Settings::getProgramName() . " (" . Settings::getVersionNumber() . ") - " . $lChannelObj->getName()) . "'");
		$lAjaxResponse->script("setTimeout(function() { jQuery('#message').dialog('close');},1000)");	
	}
	$lAjaxResponse->script("xajax_action('currentProgram','" . Utils::JSSave($pChannelID) . "');");
	return $lAjaxResponse;
}

function ajaxShowProgramGuide($pChannelID) {
	global $lDreamBoxObj;
	$lStopTime = mktime(3,0,0,date("m"),date("d")+1,date("Y")); // + (3 * 3600);
	$lAjaxResponse  = new xajaxResponse();
	
	$lChannelObj = $lDreamBoxObj->findChannel($pChannelID);
	$lContent = "<p><strong>Program Guide \'" . Utils::JSSave($lChannelObj->getName()) . "\' on date " . date("d-m-Y") . "<strong><br /><div id=\"programGuide\"><table id=\"ProgramGuideTable\">";
	if ( ($lProgramGuide = $lDreamBoxObj->getProgramGuide($pChannelID)) !== false ) {
		$lProgramGuidePrograms = $lProgramGuide->getPrograms();
		foreach ($lProgramGuidePrograms as $lProgram) {
			if ($lProgram->getStartTime() > $lStopTime) break; // Max 24 hours in guide
			$lContent .= "<tr><td class=\"dateTime\">" . date("H:i",$lProgram->getStartTime()) . " - " . date("H:i",$lProgram->getStopTime()) . "</td><td class=\"title\">" . Utils::JSSave($lProgram->getTitle()) . "</td></tr><tr><td colspan=\"2\" class=\"description\">" . Utils::JSSave(Utils::parseUrls($lProgram->getDescription())) . "</td></tr>";
		}
	} else {
		$lContent .= "<tr><td class=\"title\" colspan=\"2\">No EPG available</td></tr>";
	}
	$lContent .= "</table></div>";
	$lAjaxResponse->script("jQuery('#message').html('" . $lContent . "');jQuery('#message').dialog({modal: true,closeOnEscape: true, width: '75%',maxHeight: '400px'});jQuery('#programGuide').stop().scrollTo({top: 0,left:0},0)");
	return $lAjaxResponse;
}

function getCurrentProgram($pChannelID) {
	global $lDreamBoxObj;
	$lAjaxResponse  = new xajaxResponse();
	if (Settings::getMoviesPath() != "" && substr($pChannelID,0,strlen(Settings::getMoviesPath())) == Settings::getMoviesPath()) {
		if (($lMovieObj = $lDreamBoxObj->getMovie($pChannelID)) !== false) {
			$lAjaxResponse->script("startProgramProgressBar(0,0,'" . Utils::JSSave($pChannelID) . "');jQuery('#ProgramInfo').html('<span class=\"channel\" id=\"watchChannel\">Movie: <span class=\"time\">" . Utils::durationFormat($lMovieObj->getDuration()/1000) . "</span> - " . $lMovieObj->getName() . "</span><p></p>')");
			$lAjaxResponse->script("jQuery('#ProgramInfo p').append('<span title=\"Watch " . $lMovieObj->getName() . "\" onclick=\"zapTo(\'" . $pChannelID. "\',\'Watch " . $lMovieObj->getName() . "\');\" class=\"zapicon\"></span>');");
		}
	} else if ($lDreamBoxObj->isOnline()) {
		$lChannelImg = $lDreamBoxObj->getChannelImage($pChannelID);
		if ( ($lProgramGuideObj = $lDreamBoxObj->getProgramGuide($pChannelID)) !== false){
			if ( ($lCurrentProgram = $lProgramGuideObj->getCurrentProgram()) !== false ){
				
				$lProgramContent = $lCurrentProgram->getDescription() . "\n" . ($lCurrentProgram->getDescription() != $lCurrentProgram->getLongDescription() ? $lCurrentProgram->getLongDescription() : "");
				$lProgramContent = Utils::parseUrls($lProgramContent);
				if (Utils::isMobileDevice()) {
					$lAjaxResponse->assign('ProgramInfo','innerHTML',$lProgramGuideObj->getChannel()->getName() . '<br />' . date("H:i",$lCurrentProgram->getStartTime()) . " - " . date("H:i",$lCurrentProgram->getStopTime()) . '<br /><br />' . $lCurrentProgram->getTitle() . '<br />' . nl2br($lProgramContent));
				} else {
					$lAjaxResponse->script("startProgramProgressBar(" . $lCurrentProgram->getStartTime() . ",". $lCurrentProgram->getStopTime(). ",'" . Utils::JSSave($pChannelID) . "');jQuery('#watchChannel').html('" . $lProgramGuideObj->getChannel()->getName() ."');jQuery('#ProgramInfo').html('<span class=\"channel\" id=\"watchChannel\">" . $lProgramGuideObj->getChannel()->getName() . ": <span class=\"time\">" . date("H:i",$lCurrentProgram->getStartTime()) . " - " . date("H:i",$lCurrentProgram->getStopTime()) . "</span> " . Utils::JSSave($lCurrentProgram->getTitle()) . "</span><p>" . Utils::JSSave(nl2br($lProgramContent)) . "</p>" . (Utils::isMobileDevice() && !Utils::isiPhone() && Settings::isWowzaEnabled() ? "<p><a href=\"rtsp://" . gethostbyname(Settings::getWowzaServerName()) . ":1935/dreambox/" . str_replace(" ","_",preg_replace("/[^a-zA-Z0-9_\s]/","",$lProgramGuideObj->getChannel()->getName()))  . "_Mobile.sdp\" title=\"Watch " . $lCurrentProgram->getTitle() . "\">Watch " . $lCurrentProgram->getTitle() . "</a></p>" : "") . "');");
				}
				$lAjaxResponse->script("jQuery('#ProgramInfo').css({'background': 'url($lChannelImg) no-repeat top right'});");
			} else {
				if (Utils::isMobileDevice()) {
					$lAjaxResponse->assign('ProgramInfo','innerHTML',$lProgramGuideObj->getChannel()->getName() . '<br />');
				} else {
					$lAjaxResponse->script("startProgramProgressBar(0,0,'" . Utils::JSSave($pChannelID) . "');jQuery('#watchChannel').html('" . $lProgramGuideObj->getChannel()->getName() ."');jQuery('#ProgramInfo').html('<img src=\"" . $lChannelImg . "\" class=\"channelimg\"><span class=\"channel\" id=\"watchChannel\">" . $lProgramGuideObj->getChannel()->getName() . "</span><p></p>');");
				}
			}
		}
		if (strtolower(substr($pChannelID,-3)) == ".ts") {
			$lChannelObj = $lDreamBoxObj->findRecording($pChannelID);
		} else {
			$lChannelObj = $lDreamBoxObj->findChannel($pChannelID);
		}
		if ($lChannelObj !== false && !Utils::isMobileDevice()) {
			$lAjaxResponse->script("jQuery('#ProgramInfo p').append('<span title=\"Watch " . Utils::JSSave($lChannelObj->getName()) . "\" onclick=\"zapTo(\'" . $pChannelID. "\',\'Watch " . Utils::JSSave($lChannelObj->getName()) . "\');\" class=\"zapicon\"></span>');");
		}
	}
	return $lAjaxResponse;
}

function processMobileOptions($pFormData) {
	setMobileOption("autoLoadEPG",($pFormData["autoLoadEPG"] == "on" ? 1 : 0));
	if (!empty($pFormData["privateModusUserName"])) setMobileOption("privateModusUserName",$pFormData["privateModusUserName"]);
	if (!empty($pFormData["privateModusPassword"])) setMobileOption("privateModusPassword",$pFormData["privateModusPassword"]);
	$lAjaxResponse  = new xajaxResponse();
	$lAjaxResponse->script("jQuery('.ui-dialog').dialog('close')");
	if ($pFormData["autoLoadEPG"] == "on" && getMobileOption('autoLoadEPG') != 'on') $lAjaxResponse->script("location.reload();");
	return $lAjaxResponse;
}

function setMobileOption($pParam,$pValue) {
	$pParam = trim($pParam);
	if ($pParam == "") return;
	$lOptions = loadMobileOptions();
	switch ($pParam) {
		case "autoLoadEPG":
			$lOptions[$pParam] = $pValue;
		break;
		case "privateModusUserName":
			$lOptions[$pParam] = $pValue;
		break;
		case "privateModusPassword":
			$lOptions[$pParam] = $pValue;
		break;
	}
	saveMobileOptions($lOptions);
}

function getMobileOption($pParam) {
	$pParam = trim($pParam);
	if ($pParam == "") return;
	$lOptions = loadMobileOptions();
	$lValue = "";
	if (isset($lOptions[$pParam])) $lValue = trim($lOptions[$pParam]);
	return $lValue;
}

function loadMobileOptions() {
	$lOptions = array();
	if (!isset($_COOKIE["ReStream"])) return $lOptions;
	$lData = explode("|",$_COOKIE["ReStream"]);
	foreach ($lData as $lOption) {
		$lOption = explode("=",$lOption);
		if (trim($lOption[0]) != "") {
			$lOptions[trim($lOption[0])] = trim($lOption[1]);
		}
	}
	return $lOptions;
}

function saveMobileOptions($pOptions) {
	$lCookieData = array();
	foreach ($pOptions as $lParam => $lValue) {
		$lCookieData[] = $lParam . "=" . $lValue;
	}
	setcookie("ReStream",implode("|",$lCookieData), time()+(3600*24*30)); // 1 month
}

function setAutoLoadEPG($pOn = "") {
	$pOn = (strtolower($pOn) == "on");
	setMobileOption("autoLoadEPG",($pOn ? 1 : 0));
	$lAjaxResponse  = new xajaxResponse();
	return $lAjaxResponse;
}

function getAutoLoadEPG() {
	return getMobileOption("autoLoadEPG") == 1;
}

function getVLCStatus() {
	global $lDreamBoxObj;
	$lVLCObj = new VLCServer();
	$lAjaxResponse  = new xajaxResponse();
	$lVLCData = $lVLCObj->getCurrentStatus();
	if (isset($lVLCData["channel"]) && $lVLCData["channel"] != "") {
		$lAjaxResponse->script("xajax_action('currentProgram','" . Utils::JSSave($lVLCData["channel"]) . "')");
		if (Utils::isiPhone()) {
			//$lAjaxResponse->script("xajax_action('watch','" . Utils::JSSave($lVLCData["channel"]) . "');");
		} else {
			$lAjaxResponse->script("scrollToCurrentProgram('" . Utils::JSSave($lVLCData["channel"]) . "')");
			$lAjaxResponse->script("jQuery('#VLCStatus').css({'background-color': 'green', 'border-color': 'green'});jQuery('#VLCStatus').attr({'title':'Click to stop vlc'});jQuery('#VLCStatus').click(function() { xajax_action('StopVLC'); })");
		}
	} else {
		$lAjaxResponse->script("jQuery('#VLCStatus').css({'background-color': 'red', 'border-color': 'red'});jQuery('#VLCStatus').attr({'title':'VLC is not running'})");
	}
	$lAjaxResponse->script("clearTimeout(gVLCStatusTimer); gVLCStatusTimer = setTimeout(function() { xajax_action('VLCStatus');},30000)");
	
	return $lAjaxResponse;
}

function stopVLC() {
	$lAjaxResponse  = new xajaxResponse();
	$lVLCObj = new VLCServer();
	$lVLCObj->stopServer();
	$lAjaxResponse->script("xajax_action('VLCStatus')");
	return $lAjaxResponse;
}